SpanNearClauseFactory (Lucene 2.4.1 API)
Keywords: org.apache.lucene.queryParser.surround.query.SpanNearClauseFactory class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.queryParser.surround.query
Class SpanNearClauseFactory

    java.lang.Object
      org.apache.lucene.queryParser.surround.query.SpanNearClauseFactory

    public class SpanNearClauseFactory

extends Object

Constructor Summary
`SpanNearClauseFactory(IndexReader reader, String fieldName, BasicQueryFactory qf)`

Method Summary
`void` | `addSpanNearQuery(Query q)`
`protected void` | `addSpanQueryWeighted(SpanQuery sq, float weight)`
`void` | `addTermWeighted(Term t, float weight)`
`void` | `clear()`
`BasicQueryFactory` | `getBasicQueryFactory()`
`String` | `getFieldName()`
`IndexReader` | `getIndexReader()`
`TermEnum` | `getTermEnum(String termText)`
`SpanQuery` | `makeSpanNearClause()`
`int` | `size()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SpanNearClauseFactory

    public SpanNearClauseFactory(IndexReader reader,
                                 String fieldName,
                                 BasicQueryFactory qf)

Method Detail

### getIndexReader

    public IndexReader getIndexReader()

### getFieldName

    public String getFieldName()

### getBasicQueryFactory

    public BasicQueryFactory getBasicQueryFactory()

### getTermEnum

    public TermEnum getTermEnum(String termText)
                         throws IOException

  Throws:
    `IOException`

### size

    public int size()

### clear

    public void clear()

### addSpanQueryWeighted

    protected void addSpanQueryWeighted(SpanQuery sq,
                                        float weight)

### addTermWeighted

    public void addTermWeighted(Term t,
                                float weight)
                         throws IOException

  Throws:
    `IOException`

### addSpanNearQuery

    public void addSpanNearQuery(Query q)

### makeSpanNearClause

    public SpanQuery makeSpanNearClause()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2009 Apache Software Foundation. All Rights Reserved.